#include <iostream>
#include <algorithm>
#include <numeric>
#include <vector>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie();

    int n;
    cin >> n;
    vector<int> a(n);
    vector<int> position(n + 1);
    for (int i = 0; i < n; ++i) {
        cin >> a[i];
        position[a[i]] = i;
    }

    vector<int> perm(n);
    for (int i = 0; i < n; ++i) {
        perm[i] = -(n - i);
    }

    do {

        bool ok = true;
        for (int i = 0; i < n; ++i) {
            if (abs(i - position[-perm[i]]) > 2) {
                ok = false;
                break;
            }
        }

        if (ok) {
            for (int i = 0; i < n; ++i) {
                cout << -perm[i] << " ";
            }
            exit(0);
        }

    } while (next_permutation(perm.begin(), perm.end()));


    return 0;
}