#include <bits/stdc++.h>

using namespace std;

const int MAXK = (int)1e5 + 10;
long long b[MAXK], sum[4 * MAXK];

void init(int v, int l, int r)
{
    if (r - l == 1)
    {
        sum[v] = b[l];
        return;
    }
    int m = (l + r) / 2;
    init(2 * v + 1, l, m);
    init(2 * v + 2, m, r);
    sum[v] = sum[2 * v + 1] + sum[2 * v + 2];
    //cout << v << " " << l << " " << r << " " << sum[v] << endl;
}

void inc(int v, int l, int r, int q)
{
    sum[v]++;
    if (r - l > 1)
    {
        int m = (l + r) / 2;
        if (q < m)
            inc(2 * v + 1, l, m, q);
        else
            inc(2 * v + 2, m, r, q);
    }
}

long long get(int v, int l, int r, int q, int w)
{
    if (r <= q || w <= l)
        return 0;
    if (q <= l && r <= w)
        return sum[v];
    int m = (l + r) / 2;
    return get(2 * v + 1, l, m, q, w) + get(2 * v + 2, m, r, q, w);
}

int main()
{
    //freopen("purse.in", "r", stdin);
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int k;
    cin >> k;
    for (int i = 0; i < k; i++)
        cin >> b[i];
    init(0, 0, k);
    int m;
    cin >> m;
    for (int i = 0; i < m; i++)
    {
        int x;
        cin >> x;
        x--;
        cout << min(get(0, 0, k, 0, x), get(0, 0, k, x + 1, k)) << " ";
        inc(0, 0, k, x);
    }
    return 0;
}
