#include <stdio.h>
#include <iostream>
#include <algorithm>
#include <math.h>
using namespace std;

const int N = (int)1e5 + 5;
int a[N];
int b[N];
pair<int, int> aa[N];
pair<int, int> bb[N];
int asum[N];
int bsum[N];

int main() {
	int n, m;
	cin >> n;
	for (int i = 0; i < n; i++) {
		cin >> a[i];
		aa[i].first = a[i];
		aa[i].second = i + 1;
	}
	sort(a, a + n);
	sort(aa, aa + n);

	cin >> m;
	for (int i = 0; i < m; i++) {
		cin >> b[i];
		bb[i].first = b[i];
		bb[i].second = i + 1;
	}
	sort(b, b + m);
	sort(bb, bb + m);

	for (int i = 1; i <= n; i++) {
		asum[i] = asum[i - 1] + a[i - 1];
	}
	for (int i = 1; i <= m; i++) {
		bsum[i] = bsum[i - 1] + b[i - 1];
	}
	
	long long sum = 0;
	for (int i = 0; i < n; i++) {
		if (a[i] >= b[0]) {
			int ind = upper_bound(b, b + m, a[i]) - b - 1;
    		long long res = (long long)a[i] * (ind + 1) - (long long)bsum[ind + 1];
    		sum += aa[i].second * res;
		}
		if (a[i] < b[m - 1]) {
			int ind = upper_bound(b, b + m, a[i]) - b;
    		long long res = -(long long)a[i] * (m - ind) + (long long)(bsum[m] - bsum[ind]);
    		sum += aa[i].second * res;
		}
	}

	for (int i = 0; i < m; i++) {
		if (b[i] >= a[0]) {
			int ind = upper_bound(a, a + n, b[i]) - a - 1;
			long long res = (long long)b[i] * (ind + 1) - (long long)asum[ind + 1];
			sum -= bb[i].second * res;
		}
		if (b[i] < a[n - 1]) {
			int ind = upper_bound(a, a + n, b[i]) - a;
			long long res = -(long long)b[i] * (n - ind) + (long long)(asum[n] - asum[ind]);
			sum -= bb[i].second * res;
		}
	}
	cout << sum << endl;

	return 0;
}