#pragma GCC optimize("O3") 
#pragma GCC target("sse,sse2,sse3,ssse3,sse4,popcnt,abm,mmx") 
#include <bits/stdc++.h>
using namespace std;
typedef long long ll;

const int MOD = 998244353;

const int T = 50100;
vector<int> mul(vector<int> a, vector<int> b) {
    vector<ll> d(T);
    for (int s = 0; s < T; s++) {
        for (int i = 0; i <= s; i++) {
            int j = s - i;
            d[s] += 1LL * a[i] * b[j];
        }
    }
    vector<int> c(T);
    for (int i = 0; i < T; i++) c[i] = d[i] % MOD;
    return c;
}

vector<int> bin(vector<int> a, int n) {
    vector<int> res(T, 0);
    res[0] = 1;
    while (n) {
        if (n & 1) res = mul(res, a);
        a = mul(a, a);
        n >>= 1;
    }
    return res;
}

int main() {
    int n, k, q;
    scanf("%d%d%d", &n, &k, &q);
    vector<int> cnt(T);
    for (int i = 0; i < n; i++) {
        int x;
        scanf("%d", &x);
        cnt[x]++;
    }
    cnt = bin(cnt, k);
    vector<int> sum(T + 1);
    for (int i = 1; i <= T; i++) sum[i] = (sum[i - 1] + cnt[i - 1]) % MOD;

    for (int i = 0; i < q; i++) {
        int l, r;
        scanf("%d%d", &l, &r);
        printf("%d\n", (sum[r + 1] - sum[l] + MOD) % MOD);
    }
}

