#include <bits/stdc++.h>

bool overflow(long long sum, long long value) {
  return (sum > 0 && value > 0 && (LLONG_MAX - value < sum)) ||
         (sum < 0 && value < 0 && (LLONG_MIN - value > sum));
}

void add(long long& sum, long long value) {
  if (overflow(sum, value)) {
    exit(1);
  }
  sum += value;
}

void subtract(long long& sum, long long value) {
  if (overflow(sum, -value)) {
    exit(1);
  }
  sum -= value;
}

int main() {
  int n;
  scanf("%d", &n);
  std::vector<int> a(n);
  for (int i = 0; i < n; i++) {
    scanf("%d", &a[i]);
  }
  scanf("%d", &n);
  std::vector<std::pair<int, int>> b(n);
  for (int i = 0; i < n; i++) {
    scanf("%d", &b[i].first);
    b[i].second = i;
  }
  std::sort(b.begin(), b.end());
  std::vector<long long> pref(b.size() + 1);
  std::vector<long long> prefIndices(b.size() + 1);
  std::vector<long long> prefProduct(b.size() + 1);
  pref[0] = 0;
  prefIndices[0] = 0;
  prefProduct[0] = 0;
  for (int i = 0; i < n; i++) {
    pref[i + 1] = pref[i] + b[i].first;
    prefIndices[i + 1] = prefIndices[i] + b[i].second;
    prefProduct[i + 1] = prefProduct[i] + b[i].first * 1LL * b[i].second;
  }
  long long sum = 0;
  for (int i = 0; i < static_cast<int>(a.size()); i++) {
    int j = std::lower_bound(b.begin(), b.end(), std::make_pair(a[i], -1)) - b.begin();

    subtract(sum, a[i] * 1LL * i * (n - j));
    add(sum, a[i] * 1LL * (prefIndices[n] - prefIndices[j]));
    add(sum, i * 1LL * (pref[n] - pref[j]));
    subtract(sum, prefProduct[n] - prefProduct[j]);

    add(sum, a[i] * 1LL * i * j);
    subtract(sum, a[i] * 1LL * prefIndices[j]);
    subtract(sum, i * 1LL * pref[j]);
    add(sum, prefProduct[j]);
  }
  printf("%lld\n", sum);
  return 0;
}
