#include "bits/stdc++.h"
#define puba push_back
#define ff first
#define ss second
#define bend(_x) begin(_x), end(_x)
#define szof(_x) ((int) (_x).size())
#define TASK_NAME ""

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const double PI = atan2(0, -1);
mt19937 tw(960172);
ll rnd(ll x, ll y) { static uniform_int_distribution<ll> d; return d(tw) % (y - x + 1) + x; }
const double eps = 1e-10;

struct point {
    double x, y;
    point(double _x, double _y) {
        x = _x;
        y = _y;
    }
    point operator+(point p) {
        return point(x + p.x, y + p.y);
    }
    point operator-(point p) {
        return point(x - p.x, y - p.y);
    }
    point operator*(double num) {
        return point(x * num, y * num);
    }
    double len() {
        return sqrt(x * x + y * y);
    }
};

struct line {
    double a, b, c;
    line() {
        a = b = c = 0;
    }
    line(point p1, point p2) {
        a = p1.y - p2.y;
        b = p2.x - p1.x;
        c = -(a * p1.x + b * p1.y);
        assert(fabs(a * p2.x + b * p2.y + c) < eps);
    }
    double dist(point p) {
        return (a * p.x + b * p.y + c) / sqrt(a * a + b * b);
    }
};

int main() {
    //freopen(TASK_NAME ".in", "r", stdin);
    //freopen(TASK_NAME ".out", "w", stdout);
    cerr << fixed << setprecision(15);
    cout << fixed << setprecision(10);
    
    ll x1, y1, r1, x2, y2, r2, x, y;
    scanf("%lld%lld%lld%lld%lld%lld%lld%lld", &x1, &y1, &r1, &x2, &y2, &r2, &x, &y);

    point c1 = point(x1, y1);
    point c2 = point(x2, y2);
    point c = point(x, y);
    
    double ans = INFL;

    const int STEPS = 10000;

    double dang = PI * 2 / STEPS;
    vector<point> points, points1, points2;
    double cura = 0;
    for (int i = 0; i < STEPS; ++i) {
        points.puba(point(cos(cura), sin(cura)));
        points1.puba(c1 + points.back() * r1);
        points2.puba(c2 + points.back() * r2);
        cura += dang;
    }

    
    for (auto p1 : points1) {
        for (auto p2 : points2) {
            /*
            double val = (c - p1).len() + (p1 - p2).len();
            if (val < ans) {
                ans = val;
                mem1 = p1; mem2 = p2;
            }
            val = (c - p2).len() + (p1 - p2).len();
            if (val < ans) {
                ans = val;
                mem1 = p2; mem2 = p1;
            }*/
            ans = min(ans, min((c - p1).len() + (p1 - p2).len(), (c - p2).len() + (p1 - p2).len()));
        }
    }

    cout << ans << "\n";
    
    #ifdef LOCAL
        cerr << "time: " << clock() << endl;
    #endif
    return 0;
}