#include "bits/stdc++.h"
#define puba push_back
#define ff first
#define ss second
#define bend(_x) begin(_x), end(_x)
#define szof(_x) ((int) (_x).size())
#define TASK_NAME ""

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const long double PI = atan2(0, -1);
mt19937 tw(960172);
ll rnd(ll x, ll y) { static uniform_int_distribution<ll> d; return d(tw) % (y - x + 1) + x; }
const long double eps = 1e-10;

struct point {
    long double x, y;
    point(long double _x, long double _y) {
        x = _x;
        y = _y;
    }
    point operator+(point p) {
        return point(x + p.x, y + p.y);
    }
    point operator-(point p) {
        return point(x - p.x, y - p.y);
    }
    point operator*(long double num) {
        return point(x * num, y * num);
    }
    long double len() {
        return sqrt(x * x + y * y);
    }
};

struct line {
    long double a, b, c;
    line() {
        a = b = c = 0;
    }
    line(point p1, point p2) {
        a = p1.y - p2.y;
        b = p2.x - p1.x;
        c = -(a * p1.x + b * p1.y);
        assert(fabs(a * p2.x + b * p2.y + c) < eps);
    }
    long double dist(point p) {
        return (a * p.x + b * p.y + c) / sqrt(a * a + b * b);
    }
};

int main() {
    //freopen(TASK_NAME ".in", "r", stdin);
    //freopen(TASK_NAME ".out", "w", stdout);
    cerr << fixed << setprecision(15);
    cout << fixed << setprecision(10);
    
    ll x1, y1, r1, x2, y2, r2, x, y;
    scanf("%lld%lld%lld%lld%lld%lld%lld%lld", &x1, &y1, &r1, &x2, &y2, &r2, &x, &y);

    point c1 = point(x1, y1);
    point c2 = point(x2, y2);
    point c = point(x, y);
    
    long double ans = INFL;

    {
        line l(c, c1);
        if (fabs(l.dist(c2)) <= r2 && (x - x1) * (x2 - x1) + (y - y1) * (y2 - y1) > 0 && (x1 - x) * (x2 - x) + (y1 - y) * (y2 - y) > 0) {
            ans = min(ans, (c - c1).len() - r1);
        }

        l = line(c, c2);
        if (fabs(l.dist(c1)) <= r1 && (x - x2) * (x1 - x2) + (y - y2) * (y1 - y2) > 0 && (x2 - x) * (x1 - x) + (y2 - y) * (y1 - y) > 0) {
            ans = min(ans, (c - c2).len() - r2);
        }
    }

    for (int q = 0; q < 1; ++q) {
        point toc = c - c1, toc2 = c2 - c1;
        long double l = atan2(toc.y, toc.x);
        long double r = atan2(toc2.y, toc2.x);
        if (r < l) {
            r += PI * 2;
        }

        for (int i = 0; i < 200; ++i) {
            long double mid1 = (l * 2 + r) / 3, mid2 = (l + r * 2) / 3;
            point p1 = c1 + point(cos(mid1), sin(mid1)) * r1;
            point p2 = c1 + point(cos(mid2), sin(mid2)) * r1;
            if ((p1 - c).len() + (p1 - c2).len() < (p2 - c).len() + (p2 - c2).len()) {
                r = mid2;
            } else {
                l = mid1;
            }
        }

        point p = c1 + point(cos(l), sin(l)) * r1;
        ans = min(ans, (p - c).len() + (p - c2).len() - r2);

        r = atan2(toc.y, toc.x);
        l = atan2(toc2.y, toc2.x);
        if (r < l) {
            r += PI * 2;
        }

        for (int i = 0; i < 200; ++i) {
            long double mid1 = (l * 2 + r) / 3, mid2 = (l + r * 2) / 3;
            point p1 = c1 + point(cos(mid1), sin(mid1)) * r1;
            point p2 = c1 + point(cos(mid2), sin(mid2)) * r1;
            if ((p1 - c).len() + (p1 - c2).len() < (p2 - c).len() + (p2 - c2).len()) {
                r = mid2;
            } else {
                l = mid1;
            }
        }

        p = c1 + point(cos(l), sin(l)) * r1;
        ans = min(ans, (p - c).len() + (p - c2).len() - r2);

        swap(c1, c2);
        swap(r1, r2);
    }

    cout << ans << "\n";
    
    #ifdef LOCAL
        cerr << "time: " << clock() << endl;
    #endif
    return 0;
}